Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class AggregationSolve

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.Solve
                  |
                  +--oracle.AWXML.AggregationSolve

public class AggregationSolve
extends Solve

A `Solve` that specifies the `Measure` objects that are the source and target measures of an aggregation operation and an `AggregationDefinition` that has the instructions for the aggregation operation.

If the `AggregationSolve` does not specify a source `Measure`, then the aggregation uses the target `Measure` as both the source and the target of the aggregation, which overwrites existing aggregate data values of the target with the values that result from the aggregation operation.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`AggregationSolve(BaseObject input)` Creates an `AggregationSolve` for the specified `SolveGroup`.

Method Summary
`void` | `addTarget(Measure input)` Adds a `Measure` to the list of target measures for the `AggregationSolve`.
`java.lang.String` | `Alter(AWConnection connection)` Alters the text attributes of the `AggregationSolve` in an analytic workspace.
`java.lang.String` | `Create(AWConnection connection)` Creates an `AggregationSolve` and adds it to the end of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates an `AggregationSolve` and adds it after the referenced object in the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates an `AggregationSolve` and adds it before the referenced object in the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates an `AggregationSolve` and adds it to the beginning of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the `AggregationSolve` from the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
`AggregationDefinition` | `getAggregationDefinition()` Gets the `AggregationDefinition` specified for the `AggregationSolve`.
`Measure` | `getSource()` Gets the source of the data to aggregate.
`java.util.Vector` | `getTargets()` Gets list of the target measures for the `AggregationSolve`.
`void` | `removeTarget(Measure input)` Removes the `Measure` from the list of target measures for the `AggregationSolve`.
`void` | `setAggregationDefinition(AggregationDefinition input)` Specifies an `AggregationDefinition` for the `AggregationSolve`.
`void` | `setSource(Measure input)` Specifies the `Measure` that provides the data to aggregate to the target `Measure` objects.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `AggregationSolve`.

Methods inherited from class oracle.AWXML.Solve
`addDimensionMemberSelection, createDimensionMemberSelection, getDimensionMemberSelection, getSolveOrder, readAWDefinitions, removeDimensionMemberSelection, setSolveOrder, setSolveOrder`

Methods inherited from class oracle.AWXML.BaseObject
`DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregationSolve

    public AggregationSolve(BaseObject input)

  Creates an `AggregationSolve` for the specified `SolveGroup`.
  Parameters:
    `input` - The `SolveGroup` for which you want to create a new `AggregationSolve`.

Method Detail

### setAggregationDefinition

    public void setAggregationDefinition(AggregationDefinition input)

  Specifies an `AggregationDefinition` for the `AggregationSolve`. The `AggregationDefinition` defines the rules for aggregation operation.
  Parameters:
    `input` - The `AggregationDefinition` to associate with the `AggregationSolve`.

### getAggregationDefinition

    public AggregationDefinition getAggregationDefinition()

  Gets the `AggregationDefinition` specified for the `AggregationSolve`.
  Returns:
    The `AggregationDefinition` for the `AggregationSolve`.

### getSource

    public Measure getSource()

  Gets the source of the data to aggregate.
  Returns:
    The `Measure` that is the source of the data to aggregate.

### setSource

    public void setSource(Measure input)

  Specifies the `Measure` that provides the data to aggregate to the target `Measure` objects.
  Parameters:
    `input` - The `Measure` that is the source of the data to aggregate.

### addTarget

    public void addTarget(Measure input)

  Adds a `Measure` to the list of target measures for the `AggregationSolve`. A target `Measure` holds the values that result from the aggregation operation. If you do not specify a separate source measure, the aggregation uses the target measure as both the source and target. After the aggregation the target measure contains the original detail data and the aggregated data.
  Parameters:
    `input` - The target `Measure` to add to the `AggregationSolve`.

### removeTarget

    public void removeTarget(Measure input)

  Removes the `Measure` from the list of target measures for the `AggregationSolve`.
  Parameters:
    `input` - The target `Measure` to remove from the `AggregationSolve`.

### getTargets

    public java.util.Vector getTargets()

  Gets list of the target measures for the `AggregationSolve`.
  Returns:
    A `Vector` that contains the `Measure` objects that are the targets of the aggregation operation.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `AggregationSolve`.
  Overrides:
    WriteToXML in class Solve
  Returns:
    An XML `String` that represents the `AggregationSolve`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates an `AggregationSolve` and adds it to the end of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AggregationSolve`.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates an `AggregationSolve` and adds it to the beginning of the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateFirst in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AggregationSolve`.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates an `AggregationSolve` and adds it after the referenced object in the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateAfter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `AggregationSolve` after which you want to add the new `AggregationSolve`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AggregationSolve`.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates an `AggregationSolve` and adds it before the referenced object in the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    CreateBefore in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `AggregationSolve` before which you want to add the new `AggregationSolve`.
  Returns:
    A `String` that contains `success` if the method successfully creates the `AggregationSolve`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the `AggregationSolve` from the list of `Solve` objects of the `SolveGroup` that is owned by the `AW` object that represents the current analytic workspace of the specified database connection.
  Overrides:
    Delete in class Solve
  Parameters:
    `connection` - The `AWConnection` that specifies the database connection.
  Returns:
    A `String` that contains `success` if this method successfully deletes the `AggregationSolve`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters the text attributes of the `AggregationSolve` in an analytic workspace.
  Overrides:
    Alter in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully alters the `AggregationSolve`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.